Bug 206127 - www/squid: Update to 3.5.13
Summary: www/squid: Update to 3.5.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-11 09:12 UTC by timp87
Modified: 2016-02-25 03:08 UTC (History)
1 user (show)

See Also:


Attachments
ports patch (1.00 KB, patch)
2016-01-11 09:12 UTC, timp87
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2016-01-11 09:12:59 UTC
Created attachment 165390 [details]
ports patch

Update our squid to the latest release.
Comment 1 commit-hook freebsd_committer 2016-01-19 00:21:18 UTC
A commit references this bug:

Author: junovitch
Date: Tue Jan 19 00:20:22 UTC 2016
New revision: 406625
URL: https://svnweb.freebsd.org/changeset/ports/406625

Log:
  www/squid: update 3.5.12 -> 3.5.13

  Changes:
  * Bug 4397: DragonFly BSD, POSIX shared memory is implemented as filepath
  * Bug 4387: Kerberos build errors on Solaris
  * TLS: Support Ephemeral Elliptic Curve Diffie-Hellman (EECDH) key exchange
  * TLS: Complete certificate chains using external intermediate certificates
  * Avoid memory leaks when an X.509 certificate validator is used with SslBump
  * Fix connection retry and fallback after failed server TLS connections
  * Fix GnuTLS detection via pkg-config
  * Fix startup crash with a misconfigured (too-small) shared memory cache
  * ... and some documentation updates

  PR:             206127
  Submitted by:   Pavel Timofeev <timp87@gmail.com> (maintainer)

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
Comment 2 Jason Unovitch freebsd_committer 2016-01-19 00:27:51 UTC
Thank you Pavel!  QA builds on all supported releases were good.
Comment 3 commit-hook freebsd_committer 2016-02-25 03:08:58 UTC
A commit references this bug:

Author: junovitch
Date: Thu Feb 25 03:08:09 UTC 2016
New revision: 409491
URL: https://svnweb.freebsd.org/changeset/ports/409491

Log:
  MFH: r406625, r409148, r409487

  www/squid: update 3.5.12 -> 3.5.15

  PR:             206127
  PR:             207294
  PR:             207454
  Submitted by:   Pavel Timofeev <timp87@gmail.com> (maintainer)
  Approved by:	ports-secteam (miwi)
  Security:       CVE-2016-2390
  Security:       https://vuxml.FreeBSD.org/freebsd/56562efb-d5e4-11e5-b2bd-002590263bf5.html
  Security:       https://vuxml.FreeBSD.org/freebsd/660ebbf5-daeb-11e5-b2bd-002590263bf5.html

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/squid/Makefile
  branches/2016Q1/www/squid/distinfo